﻿using System.ComponentModel;
using System.Windows;
using System.Windows.Controls;
using System.Collections.Generic;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		//string html = "<html><body><h1><font color='{1}'>{0}</font></h1></body></html>";
		//HtmlViewModel viewModel = new MainViewModel();

		public MainPage()
		{
			InitializeComponent();
			this.DataContext = new MainViewModel();
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{
			//this.viewModel.HtmlSource = string.Format(html, "#1", "red");
		}

		private void Button2_Click(object sender, RoutedEventArgs e)
		{
			//this.viewModel.HtmlSource = string.Format(html, "#2", "green");
		}

		private void Button3_Click(object sender, RoutedEventArgs e)
		{
			//this.viewModel.HtmlSource = string.Format(html, "#3", "blue");
		}
	}

	public class MainViewModel
	{
		public MainViewModel()
		{
			string html = "<html><body><h1><font color='{1}'>{0}</font></h1></body></html>";
			Items = new List<HtmlViewModel>();
			Items.Add(new HtmlViewModel() { HtmlSource = string.Format(html, "#1", "red") });
			Items.Add(new HtmlViewModel() { HtmlSource = string.Format(html, "#2", "green") });
			Items.Add(new HtmlViewModel() { HtmlSource = string.Format(html, "#3", "blue") });
		}

		public List<HtmlViewModel> Items { get; set; }
	}

	public class HtmlViewModel : INotifyPropertyChanged
	{
		private string htmlSource;

		public string HtmlSource
		{
			get
			{
				return this.htmlSource;
			}
			set
			{
				if (this.htmlSource != value)
				{
					this.htmlSource = value;
					this.OnPropertyChanged("HtmlSource");
				}
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;

		private void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}